Page 1 of 1

ใช้ Apache 2.0.58 ต้องการใช้ SSL ต้องตั้งค่าอย่างไรครับ

Posted: 27/06/2006 3:44 pm
by darkleonic

จะตั้งค่าให้ Apache ใช้ SSL ครับต้องทำอย่างไร ต้องโหลด Tool มาใช้หรือเปล่าครับ
แล้วการเขียนโค้ด PHP นี่จะต้องเพิ่มอะไรเป็นพิเศษหรือเปล่าครับ

Posted: 27/06/2006 5:38 pm
by mindphp
ลองดู ที่ นี่ครับ
http://www.apache-ssl.org/

เค้าไม่ได้ mod กันไว้ เราต้อง รวม เอาเอง นะครับ หรือ ไม่ ถ้าอยากใช้ แค่ทดสอบ ที่เครื่อง ตัวเอง ก็ ลอง ดูที่กระทู้ เกี่ยวกับ เครื่อง มือ ช่วย ติดตั้งเลย ครับ

ส่วน โค้ด php โดย ส่วนใหญ่ เกือบ 100% ไม่ต้องทำอะไรเพิ่มครับ มันใช้ได้ อยู่ แล้ว

Posted: 28/06/2006 9:44 pm
by DtTvB

Posted: 29/06/2006 11:22 am
by 4404
ลองดู โปรแกรมตัว นี้ครับ
XAMPP
เห็นแวปๆ ในเว็บนี้ล่ะ ลอง หาดู

ผมว่าคุณเปลี่ยนมาใช้โปรแกรม appserv ดีกว่าครับ ไม่ยุ่งยาก

Posted: 07/07/2006 11:39 am
by nai_ake
โปรแกรม App Servโดยทั่วไปแล้ว หากต้องการเขียนสคริปต์ PHP นั้น เราต้องติดตั้ง โปรแกรม Web Serverเสียก่อน ซึ่งโปรแกรม Web Server ที่มีอยู่ในปัจจุบัน เช่น Apache , Internet Information Server (IIS) หรือ Personal Web Server (PWS) เป็นต้น นอกจากนี้ยังต้องติดตั้งตัวแปลภาษา PHP อีก และเมื่อติดตั้งเรียบร้อยแล้ว ต้องเข้าไปแก้ไขเพื่อกำหนดค่าให้ Web Server ที่เราเลื่อกใช้ให้สามารถรันสคริปต์ PHP ได้ และหากเราต้องการเขียนสคริปต์ PHP ติดต่อกับฐานข้อมูล My SQL ก็ต้องไปดาวน์โหลดโปรแกรมติดตั้งฐานข้อมูล My SQL อีก
ดังที่กล่าวนะครับ จะเกิดความยุ่งยากหลายประการในการติดตั้งโปรแกรม ดังนั้น ผมแนะนำให้เลือกโปรแกรม App Serv ซึ่งเป็นโปรแกรมที่รวบรวมตัวติดตั้งโปรแกรมต่าง ๆ ที่เป็นโอเพ่นซอฟต์แวร์เข้าด้วยกัน ดังนี้
ท โปรแกรม Apache Web Server
ท ตัวแปลภาษา PHP (PHP Script Language)
ท ฐานข้อมูล My SQL
ท โปแกรม PHPMyAdmin ที่ช่วยจัดการฐานข้อมูล My SQL

ข้อดีของโปรแกรม AppServ คือ เราสามารถติดตั้งโปรแกรมต่าง ๆ ในครั้งเดียวแล้วสามารถใช้งานได้เลย จริงนะครับ สามารถโหลดได้ที่นี่ครับ http://www.appservnetwork.com/